当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助!关于ubuntu10.04下sopcast的问题。
帖子发表于 : 2010-05-09 13:57 

注册: 2010-03-17 19:18
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
按照这篇文章的方法http://hi.baidu.com/audreylynn/blog/item/d2bc84d62b60002307088b07.html
我已经装好了sopcast,只是python2.5是在debian官网上下载的安装的,因为sudo apt-get install python2.5找不到。
然后也改了/usr/bin/sopcast-player文件的内容。然后在终端执行sopcast-player 提示
代码:
Traceback (most recent call last):
  File "/usr/share/sopcast-player/lib/sopcast-player.py", line 18, in <module>
    import gobject
ImportError: No module named gobject

我找到了这个文件,把这句注释掉,然后又提示
代码:
ImportError: No module named gtk

可是我的10.04是从官网上下载的,这些都安装了的,怎么会没有模块呢。
不过有一个疑问就是10.04中默认的python2.6 而sopcast需要的是2.5的,难道是因为没有2.5的这些模块,所以才无法导入的?
求高手建议,谢谢!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助!关于ubuntu10.04下sopcast的问题。
帖子发表于 : 2010-05-09 21:25 
头像

注册: 2010-01-17 13:05
帖子: 8479
系统: ubuntu
送出感谢: 2
接收感谢: 50
安装sopcast怎么搞这么复杂。下载libstdc++5 http://packages.ubuntu.com/jaunty/libstdc++5
然后用Ubuntu tweak 加sopcast的源安装就可以了。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求助!关于ubuntu10.04下sopcast的问题。
帖子发表于 : 2010-05-09 23:33 
头像

注册: 2008-08-31 10:09
帖子: 629
送出感谢: 2
接收感谢: 1
在ubuntu10.04中安装qsopcast看电视
先准备
sp-auth_3.0.1_i386.deb
http://ubuntu-soft.googlecode.com/files ... 1_i386.deb
qsopcast_0.3.5-3_i386.deb

上面的包网上很容易搜到

libstdc++5的包,ubuntu10.04已经不支持了,得下载

http://ftp.kr.debian.org/debian/pool/ma ... 8_i386.deb


打开终端,先安装依赖的包。当然安装上述包时,会提示缺少的依赖,对菜菜来说就懵了。
sudo dpkg -i libstdc++5_3.3.6-18_i386.deb
sudo apt-get install libmng1 libqt3-mt

sudo dpkg -i sp-auth_3.0.1_i386.deb
sudo dpkg -i qsopcast_0.3.5-3_i386.deb

安装mplayer
sudo apt-get install mplayer mplayer-gui
装上就能播放,解码包同时装好。
配置中可改成gmplayer打开,NV显卡的方便调亮度
gmplayer -ontop -geometry 100%:100%


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求助!关于ubuntu10.04下sopcast的问题。
帖子发表于 : 2010-05-10 0:52 

注册: 2008-09-09 22:37
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
sudo add-apt-repository ppa:jason-scheunemann/ppa

sudo apt-get update

sudo apt-get install sopcast-player


轻松搞定。。。。。。。。。。。。。。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求助!关于ubuntu10.04下sopcast的问题。
帖子发表于 : 2010-05-21 23:57 
头像

注册: 2007-04-05 3:09
帖子: 843
地址: 身后某处
系统: Deepin
送出感谢: 2
接收感谢: 0 次
wht73zy88 写道:
sudo add-apt-repository ppa:jason-scheunemann/ppa

sudo apt-get update

sudo apt-get install sopcast-player


轻松搞定。。。。。。。。。。。。。。


你这个办法真不错啊。


_________________
东方不败 写道:

    OS:Ubuntu14.10
    CPU:Athlon II 651K
    RAM:威刚DDR3 1600 4GX2双通道
    主板:GA-A75M-DS2
    硬盘:西数64M版 2T
    显卡:迅景6790
    显示器:LG W2242TP


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求助!关于ubuntu10.04下sopcast的问题。
帖子发表于 : 2010-08-08 11:55 

注册: 2009-09-08 17:34
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
东方不坏 写道:
wht73zy88 写道:
sudo add-apt-repository ppa:jason-scheunemann/ppa

sudo apt-get update

sudo apt-get install sopcast-player


轻松搞定。。。。。。。。。。。。。。


你这个办法真不错啊。

:em11 :em11 就喜欢 简单 快捷 的 方法


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求助!关于ubuntu10.04下sopcast的问题。
帖子发表于 : 2010-08-08 21:53 
头像

注册: 2007-04-05 3:09
帖子: 843
地址: 身后某处
系统: Deepin
送出感谢: 2
接收感谢: 0 次
真是很好的人啊,有了这么容易的办法,还有什么事做不好?


_________________
东方不败 写道:

    OS:Ubuntu14.10
    CPU:Athlon II 651K
    RAM:威刚DDR3 1600 4GX2双通道
    主板:GA-A75M-DS2
    硬盘:西数64M版 2T
    显卡:迅景6790
    显示器:LG W2242TP


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译